Class | Nokogiri::XML::ElementContent
In: | lib/nokogiri/xml/element_content.rb ext/nokogiri/xml_sax_push_parser.c
Parent: | Object

the document is GC‘d

### Methods

c1 c2 children name occur prefix type

### Constants

PCDATA | = | 1 |  | Possible definitions of type
ELEMENT | = | 2
SEQ | = | 3
OR | = | 4
ONCE | = | 1 |  | Possible content occurrences
OPT | = | 2
MULT | = | 3
PLUS | = | 4

### Attributes

document | [R] |

### Public Instance methods

c1

Get the first child.

c2

Get the first child.

children()

Get the children of this ElementContent node

name

Get the require element `name`

occur

Get the element content `occur` flag. Possible values are ONCE, OPT, MULT or PLUS.

prefix

Get the element content namespace `prefix`.

type

Get the element content `type`. Possible values are PCDATA, ELEMENT, SEQ, or OR.

[Validate]